<div th:replace="shared/header"></div>
<div id="view-table" th:include="${viewPath}+'/table'"></div>
<div th:include="${viewPath}+'/band-components/form-dialog'"></div>
<div th:include="${viewPath}+'/band-components/delete-formdialog'"></div>
<div th:replace="shared/footer"></div>

<script>
$(document).ready(function(){
	$('#view-table').on('click', '.create-class', function () {
	      var $dialog = $('#form-dialog');
	      $dialog.modal();
	      $dialog.find('#page-title').html('Create ' + pageTitle);
	      $('input').val('');
	      $('input[type=checkbox]').attr('checked', false).val(1);
	      $('input[name=id]').val(0);
	      return false;
	    });
	
	$('#view-table').on('click', '.edit-class', function () {
	      var $dialog = $('#form-dialog');
	      var $id=$(this).attr('rel');
	      $.get('/'+pathUri+'/json/'+$id, function(data){
	    	  $('input[name=id]').val(data.id);
	    	  $('input[name=name]').val(data.name);
	    	  $('input[name=location]').val(data.location);
	    	  $('input[name=phone]').val(data.phone);
	    	  $('input[name=email]').val(data.email);
	    	  $('input[name=cost]').val(data.cost);
	    	  $('input[name=establisedDate]').val(data.establisedDate);
	    	  $('textarea[name=description]').val(data.description);
	    	  $('input[name=status]').attr('checked', data.status);
	    	  
	      });
	      $dialog.modal();
	      $dialog.find('#page-title').html('Edit ' + pageTitle);
	      return false;
	    });
	
	$('#app-form').on('submit', function () {
	      $.post('/' + pathUri + '/json', $(this).serialize(),
	        function (data) {
	          if (data === 'success') {
	            $('#form-dialog').modal('hide');
	            $.get('/' + pathUri + '/table', function (data) {
	              $('#view-table').html(data);
	            });
	          }
	        });
	      return false;
	    });
	
	$('#view-table').on('click', '.delete-class', function () {
	      var $this = $(this);
	      var $id = $this.attr('rel');
	      var $dialog = $('#delete-form-dialog');
	      $dialog.find('#delete-form input[name=id]').val($id);
	      $dialog.modal();
	      //var $dialog=$('#delete-form-dialog').modal();
	      return false;
	    });

	    $('#delete-form').on('submit', function () {
	      var $id = $(this).find('input[name=id]').val();
	      $.get('/' + pathUri + "/delete/" + $id, function (data) {
	        var $dialog = $('#delete-form-dialog');
	        $dialog.modal('hide');
	        $.get('/' + pathUri + "/table", function (data) {
	          $('#view-table').html(data);
	        });
	      });
	      return false;
	    });
});

</script>
